Page MenuHomeFreeBSD

Improve SSL patch for qt4-network
ClosedPublic

Authored by rezny on Feb 22 2017, 6:24 PM.
Tags
None
Referenced Files
Unknown Object (File)
Thu, Dec 1, 2:04 AM
Unknown Object (File)
Mar 29 2017, 4:37 AM
Unknown Object (File)
Mar 24 2017, 12:45 AM
Unknown Object (File)
Mar 21 2017, 4:48 PM
Unknown Object (File)
Mar 12 2017, 12:18 PM
Unknown Object (File)
Mar 7 2017, 9:17 AM
Unknown Object (File)
Feb 23 2017, 1:49 AM
Unknown Object (File)
Feb 22 2017, 8:54 PM
Subscribers

Details

Summary

Fix up the SSL patch in qt4-network for functional parity with qt5-network to the extent possible. Logic for SSL/TLS version now matches qt5 instead of restricting to TLSv1.0 only, runtime loading of SSL library is same as qt5, and USES=ssl in place of USE_OPENSSL. Further details also in PR 216781.

Test Plan

run tested on 11 amd64 with LibreSSL 2.5.1, Poudriere 10.3/11.0 amd64/i386 with OpenSSL OK

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

rezny retitled this revision from to Improve SSL patch for qt4-network.
rezny updated this object.
rezny edited the test plan for this revision. (Show Details)
rezny added reviewers: kde, swills, feld.
swills edited edge metadata.

Approved

This revision is now accepted and ready to land.Feb 22 2017, 6:29 PM

Could you please always add some little description to the patches? So that in the future, when updating Qt we don't have to think too hard about these?

This revision was automatically updated to reflect the committed changes.